All resources All frames

# ServletMapperFrame

This frame is used to map a file to a servlet, for example jsp file are mapped to a JSP Servlet. This frame update some internal variables and perform an internal redirection to the JSP servlet.

## Inherits

The ServletMapperFrame class inerits from the following classes:

- Resource
- FramedResource
- ResourceFrame
- ProtocolFrame
- HTTPFrame

## Attributes description

The ServletMapperFrame defines the following attributes:

- servlet-url

`servlet-url`

semantics
  The servlet URI where the request will be redirected.(eg /servlet/JSPServlet)
type
  This attribute is an editable StringAttribute
default value
  This attribute defaults to null.

Jigsaw Team
$Id: org.w3c.jigsaw.servlet.ServletMapperFrame.html,v 1.3 2000/03/15 12:49:15 bmahe Exp $